For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList model configurations
      • POSTCreate model configuration
      • GETList available models
      • GETGet grouped models
      • GETList search-capable models
      • GETList configured search providers
      • GETGet model configuration usage
      • PUTUpdate model configuration
      • DELDelete model configuration
      • PATCHSet default model configuration
      • PATCHEnable or disable model configuration
Dashboard
LogoLogo
Runtype APIModel Configs

Update model configuration

PUT
/v1/model-configs/:id
PUT
/v1/model-configs/:id
$curl -X PUT https://api.runtype.com/v1/model-configs/id \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "isEnabled": true,
> "settings": {
> "maxTokens": 1500,
> "temperature": 0.9
> }
>}'
1{
2 "createdAt": "string",
3 "id": "string",
4 "isDefault": true,
5 "isEnabled": true,
6 "modelId": "string",
7 "organizationId": "string",
8 "provider": "string",
9 "providerKeyId": "string",
10 "settings": {},
11 "updatedAt": "string",
12 "userId": "string",
13 "configScope": "string",
14 "costPer1kTokens": 1.1,
15 "creator": "string",
16 "creatorDisplayName": "string",
17 "displayName": "string",
18 "inputCostPer1kTokens": 1.1,
19 "keyStatus": "platform",
20 "maxOutputTokens": 1.1,
21 "outputCostPer1kTokens": 1.1,
22 "reasoningCapability": {
23 "supported": true,
24 "googleThinkingMode": "budget",
25 "provider": "string",
26 "supportsReasoningSummary": true
27 },
28 "supportedResponseFormats": [
29 "string"
30 ],
31 "supportsCustomKey": true,
32 "supportsSearch": true,
33 "supportsStreaming": true
34}
Update fields on an existing model configuration.
Was this page helpful?
Previous

Delete model configuration

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired

Request

This endpoint expects an object.
isDefaultbooleanOptional
isEnabledbooleanOptional
providerKeyIdstringOptional
settingsobjectOptional

Response

Updated model configuration
createdAtstring
idstring
isDefaultboolean
isEnabledboolean
modelIdstring
organizationIdstring or null
providerstring
providerKeyIdstring or null
settingsmap from strings to any
updatedAtstring
userIdstring
configScopestring
costPer1kTokensdouble
creatorstring
creatorDisplayNamestring or null
displayNamestring
inputCostPer1kTokensdouble
keyStatusenum
Allowed values:
maxOutputTokensdouble
outputCostPer1kTokensdouble
reasoningCapabilityobject
supportedResponseFormatslist of strings
supportsCustomKeyboolean
supportsSearchboolean
supportsStreamingboolean

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error